#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 postgresql-binary
version:              0.12.3.3
visibility:           public
id:                   postgresql-binary-0.12.3.3-NJ5jQElqVS8FW1zf05zvp
key:                  postgresql-binary-0.12.3.3-NJ5jQElqVS8FW1zf05zvp
license:              MIT
copyright:            (c) 2014, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/postgresql-binary 
synopsis:             Encoders and decoders for the PostgreSQL'\''s binary format
description:
    An API for dealing with PostgreSQL'\''s binary data format.

    It can be used to implement performant bindings to Postgres.
    E.g., <http://hackage.haskell.org/package/hasql "hasql">
    is based on this library.

    It supports all Postgres versions starting from 8.3
    and is tested against 8.3, 9.3 and 9.5
    with the @integer_datetimes@ setting off and on.

category:             PostgreSQL, Database, Codecs, Parsing
abi:                  dffd1f1ae68359481648914a7f841627
exposed:              True
exposed-modules:
    PostgreSQL.Binary.Data PostgreSQL.Binary.Decoding
    PostgreSQL.Binary.Encoding

hidden-modules:
    PostgreSQL.Binary.Encoding.Builders PostgreSQL.Binary.Prelude
    PostgreSQL.Binary.Integral PostgreSQL.Binary.Interval
    PostgreSQL.Binary.Numeric PostgreSQL.Binary.Time
    PostgreSQL.Binary.Inet PostgreSQL.Binary.BuilderPrim

import-dirs:          /usr/lib/ghc-8.10.3/site-local/postgresql-binary-0.12.3.3
library-dirs:         /usr/lib/ghc-8.10.3/site-local/postgresql-binary-0.12.3.3
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.3/postgresql-binary-0.12.3.3

hs-libraries:         HSpostgresql-binary-0.12.3.3-NJ5jQElqVS8FW1zf05zvp
depends:
    aeson-1.5.5.1-AwM5PjoCXg9Gz7zfwWBIzV base-4.14.1.0
    base-prelude-1.4-HdaTqh6hlYNGbCWV2trBTv
    binary-parser-0.5.6-JlxGssOmNhi780nQfxiULS bytestring-0.10.12.0
    bytestring-strict-builder-0.4.5.3-Bh2UlVxom55DcNOyP3iWir
    containers-0.6.2.1 loch-th-0.2.2-I5sC8xMdeHtGFCQGeCmJ41
    network-ip-0.3.0.3-FpZdBd9Q7x8ITsjVspVPBH
    placeholders-0.1-LnT1Ex8VOCYHfdA136T0ei
    scientific-0.3.6.2-IZlBItsUzb8GTx71NeTgGr text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.13.0-JMmUMTViutlBDpWEaCrbh4
    uuid-1.3.13-JP7xokTSc6ZHaB6s0RYg6T
    vector-0.12.2.0-CTKdHZ2Betb5QHFFflD8i8

haddock-interfaces:
    /usr/share/doc/haskell-postgresql-binary/html/postgresql-binary.haddock

haddock-html:         /usr/share/doc/haskell-postgresql-binary/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

